package Mythtv::VideoMetaData;

use strict;
use DBI;
use Carp;
use lib 'Configuration';

use Parameters ();              # Application wide configuration
use vars qw(%items);            # Grab the datastructure from the config file
*items = \%Parameters::items;   # Alias the variable out


{
    sub _getDBH {
        my $self = shift;

        my $host     = $self->{config}{videometadata}{database}{host};
        my $database = $self->{config}{videometadata}{database}{name};
        my $user     = $self->{config}{videometadata}{database}{user};
        my $password = $self->{config}{videometadata}{database}{password};

        $self->{_dbh} = DBI->connect("DBI:mysql:$database:$host", $user, $password) || croak "Unable to get DB handle!";

    }
}

sub new {
    my $pkg = shift;

    my $self = bless { }, $pkg;
    $self->{config}=\%items;

    return $self;
}

sub getNoPlot {
    my $self = shift;

    my @retary;
    $self->_getDBH if (! defined $self->{_dbh});

    my $sql = "select filename, intid, title from videometadata where plot = 'None' order by title";
 
    my $sth= $self->{_dbh}->prepare($sql);

    $sth->execute;

    while (my $retstat = $sth->fetchrow_hashref ) {      # fetch the rows into a hash reference
        push @retary, $retstat;
    }

    return \@retary;

}

sub updateVideo {
    my $self = shift;
    my %args = @_;

    my @retary;
    $self->_getDBH if (! defined $self->{_dbh});

    my $sql = "update videometadata set plot = ?, 
                                        userrating = $self->{config}{videometadata}{video}{userrating}, 
                                        title = ?, 
                                        director = ?, 
                                        year = ?, 
                                        length = ?,
                                        category = $self->{config}{videometadata}{video}{category}
                where intid = ?";

    my $sth= $self->{_dbh}->prepare($sql);

    $sth->execute($args{plot}, $args{title}, $args{director}, $args{year}, $args{length}, $args{intid});
    die "\n\nThere is an error inserting data for: $args{title}, ".$sth->errstr."\n\n" if ($sth->errstr);

}

1
